.form-filter-order {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 20px;
    padding-bottom: 20px;

    &__wrapper {
        display: flex;
        gap: 15px;
        justify-content: space-between;
        align-items: center;
        max-width: 700px;
        width: 100%;
    }

    &__wrap {
        max-width: 350px;
        width: 100%;
    }

    &__label {
        display: flex;
        flex-direction: column;
        width: 100%;
        height: 80px;
    }

    .wrap-select {
        height: 80px;

        .has-valid {
            border-color: #df1c59;
        }
    }

    & &__date {
        padding: 10px;
        width: 300px;
        width: 100%;
        outline: none;
        line-height: 18px;
        font-size: 16px;
        border-radius: 5px;
        padding-left: 15px;
        border: 1px solid #ccc;
        border-bottom-width: 2px;
        transition: border-color 0.3s ease;

        &:focus,
        &:valid {
            border-color: #49a698;
        }
    }

    & &__select {
        padding: 10px;
        width: 300px;
        width: 100%;
        outline: none;
        line-height: 18px;
        font-size: 16px;
        border-radius: 5px;
        padding-left: 15px;
        border: 1px solid #ccc;
        border-bottom-width: 2px;
        transition: border-color 0.3s ease;

        &:focus,
        &:valid {
            border-color: #49a698;
        }
    }


    &__btn-wrap {
        height: 80px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    &__btn {
        padding: 11px 20px;
        width: 100%;
        border-radius: 5px;
        color: #fff;
        line-height: 20px;
        font-size: 18px;
        font-weight: 700;
        letter-spacing: 1px;
        transition: background 0.3s ease;
        background: linear-gradient(135deg, #3bb77e, #5993b6);
        justify-content: center;
        margin-bottom: 4px;

        &:hover {
            background: linear-gradient(-135deg, #3bb77e, #5993b6);
        }
    }


    .has-valid {

        span {
            font-size: 16px;
            color: #df1c59;
        }

        .form-filter-order__date {
            border-color: #df1c59;
        }

    }


}